%define glib2_version 2.4.0
%define pango_version 1.4.0
%define gtk2_version 2.4.0
%define libgnomeui_version 2.6.0
%define gail_version 1.2
%define desktop_file_utils_version 0.2.90
%define gstreamer_version 0.10.2

%define gettext_package gnome-media-2.0

Summary:        GNOME media programs.
Name:           gnome-media
Version:        2.14.2
Release:        1
License:        GPL
Group:          Applications/Multimedia
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/gnome-media/2.11/gnome-media-%{version}.tar.bz2
Patch4:         gnome-media-2.13.91-settings.patch
Patch5:         gnome-media-2.13.5-hide-help-button.patch

Requires:       scrollkeeper >= 0.1.4
BuildRoot:      %{_tmppath}/%{name}-%{PACKAGE_VERSION}-root
Obsoletes:      gnome
URL:            http://www.gnome.org
ExcludeArch:	s390 s390x

BuildRequires:  glib2-devel >= %{glib2_version}
BuildRequires:  pango-devel >= %{pango_version}
BuildRequires:  gtk2-devel >= %{gtk2_version}
BuildRequires:  libgnomeui-devel >= %{libgnomeui_version}
BuildRequires:  gail-devel >= %{gail_version}
BuildRequires:  desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires:  /usr/bin/automake-1.4
BuildRequires:  gstreamer-devel >= %{gstreamer_version}
BuildRequires:  gstreamer-plugins-base-devel
BuildRequires:  scrollkeeper

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The gnome-media package will
install media features like the GNOME CD player.

%package devel
Summary: Libraries/include files for GNOME media programs
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libgnome-devel
Requires: libglade2-devel
Requires: gtk2-devel
Requires: GConf2-devel

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The gnome-media package will
install media features like the GNOME CD player.

This package contains the libraries and includes files necessary to 
develop GNOME media applications.


%prep
%setup -q
%patch4 -p1 -b .settings
%patch5 -p1 -b .hide-help-button

%build
%configure 
make #%{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

#remove gnome-sound-recorder because it does not work
rm $RPM_BUILD_ROOT%{_bindir}/gnome-sound-recorder
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome-sound-recorder
rm $RPM_BUILD_ROOT%{_datadir}/applications/gnome-sound-recorder.desktop
rm $RPM_BUILD_ROOT%{_datadir}/omf/gnome-media/grecord*.omf
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/help/gnome-sound-recorder 
rm $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/gnome-sound-recorder.schemas

## only show in GNOME
desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-only-show-in GNOME                                  \
  --add-category X-StartCom-Base                             \
  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-cd.desktop  \
  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-volume-control.desktop

# show in all
#desktop-file-install --vendor gnome --delete-original       \
#  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
#  --add-category X-StartCom-Base                             \
#  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-sound-recorder.desktop

rm -f $RPM_BUILD_ROOT%{_datadir}/applications/vumeter.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/reclevel.desktop
rm -f $RPM_BUILD_ROOT%{_bindir}/vumeter

rm -rf $RPM_BUILD_ROOT%{_libdir}/lib*.*a
rm -rf $RPM_BUILD_ROOT%{_libdir}/libglade/2.0/lib*.*a
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

%find_lang %{gettext_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="CDDB-Slave2.schemas gnome-audio-profiles.schemas gnome-cd.schemas" # gnome-sound-recorder.schemas
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done
/sbin/ldconfig

%postun
scrollkeeper-update
/sbin/ldconfig
/bin/true ## for rpmlint, -p requires absolute path and is just dumb

%files -f %{gettext_package}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README

%{_libexecdir}/*
%{_datadir}/idl
%{_datadir}/applications
%{_datadir}/pixmaps
%{_datadir}/omf
%{_datadir}/gnome
#%{_datadir}/gnome-sound-recorder
%{_datadir}/gnome-media
%{_datadir}/gstreamer-properties

%{_libdir}/*.so.*
%{_libdir}/libglade/2.0/*.so
%{_libdir}/bonobo
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/*.schemas

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Thu Jun 15 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Tue May 30 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.2-1
- Update to 2.14.2

* Tue Mar 14 2006 Ray Strode <rstrode@redhat.com> - 2.14.0-2
- rebuild

* Sun Mar 12 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.0-1
- Update to 2.14.0 

* Mon Feb 27 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.93-1
- Update to 2.13.93

* Wed Feb 15 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.92-1
- Update to 2.13.92

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.13.91-2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.13.91-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Feb  4 2006 Christopher Aillon <caillon@redhat.com> - 2.13.91-2
- Use gstreamer (0.10)

* Mon Jan 30 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.91-1
- Update to 2.13.91

* Sat Jan 28 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.7-1
-Update to 2.13.7

* Sun Jan 22 2006 Christopher Aillon <caillon@redhat.com> - 2.13.5-2
- Disable the help button in gnome-audio-profiles-properties since
  it isn't yet hooked up to anything.

* Wed Jan 18 2006 John (J5) Palmieri <johnp@redhat.com> - 2.13.5-1
- Upgrade to 2.13.5
- Pull in gstreamer08 not gstreamer

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Dec  2 2005 John (J5) Palmieri <johnp@redhat.com> - 2.12.0-3
- Rebuild with new nautilus-cd-burner

* Tue Nov 22 2005 Matthias Clasen <mclasen@redhat.com> - 2.12.0-2
- Classify volume control as setting, for better menus

* Thu Sep  8 2005 Matthias Clasen <mclasen@redhat.com> - 2.12.0-1
- Update to 2.12.0

* Tue Aug 16 2005 Warren Togami <wtogami@redhat.com> - 2.11.91-1
- rebuild for new cairo and 2.11.91

* Mon Jul 18 2005 John (J5) Palmieri <johnp@redhat.com> 2.11.5-1
- Update to 2.11.5

* Tue Jul 12 2005 Matthias Clasen <mclasen@redhat.com> 2.11.4-1
- Newer upstream version

* Thu May 20 2005 John (J5) Palmieri <johnp@redhat.com> 2.10.2-4
- patch that avoids a deadlock when the last track on the cd is done
  (bug #151093)

* Tue May 17 2005 John (J5) Palmieri <johnp@redhat.com> 2.10.2-2
- remove gnome-sound-recorder because it hasn't worked for some time

* Mon May 02 2005 John (J5) Palmieri <johnp@redhat.com> 2.10.2-1
- Update to 2.10.2

* Tue Mar 29 2005 John (J5) Palmieri <johnp@redhat.com> 2.10.0-2
- Added a devel package

* Wed Mar 16 2005 Colin Walters <walters@redhat.com> 2.10.0-1
- Update to 2.10.0

* Tue Jan  1 2005 Matthias Clasen <mclasen@redhat.com> 2.9.90-1
- Update to 2.9.90

* Mon Oct 25 2004 Colin Walters <walters@redhat.com> 2.8.0-4
- Add fix from Ronald to gnome-media-2.8.0-gst-mixer-nomodem.patch
  to make two-soundcard case work again (136930)

* Tue Oct 19 2004 Colin Walters <walters@redhat.com> 2.8.0-3
- Add patch to not show empty mixers for modems,
  etc.  Tested and confirmed to work on two machines.

* Mon Oct 18 2004 Colin Walters <walters@redhat.com> 2.8.0-2
- Add patch to not show oss mixers

* Mon Sep 13 2004 Colin Walters <walters@redhat.com> 2.8.0-1
- Remove upstreamed cd-sink-fix.patch

* Fri Sep 03 2004 Matthias Clasen <mclasen@redhat.com> 2.7.92-7
- Make help button of gstreamer-properties work

* Wed Aug 31 2004 Colin Walters <walters@redhat.com> 2.7.92-2
- Add patch to use correct sink for gnome-cd

* Wed Aug 31 2004 Colin Walters <walters@redhat.com> 2.7.92-1
- Update to 2.7.92

* Wed Aug 04 2004 Colin Walters <walters@redhat.com> 2.7.1-1
- Update to 2.7.1
- Delete tons of cruft from makeinstall code

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 18 2004 Colin Walters <walters@redhat.com> 2.6.2-1
- New upstream version
- Bump required versions of various build dependencies
- Update Source URL
- Remove BuildRequires and calls to autofoo, since we don't
  patch any autofoo files anymore.

* Thu Apr 15 2004 Warren Togami <wtogami@redhat.com> 2.6.0-2
- #111141 BR automake libtool gstreamer-plugins-devel gettext
  still something missing...

* Fri Apr  2 2004 Alex Larsson <alexl@redhat.com> 2.6.0-1
- update to 2.6.0

* Tue Mar 16 2004 Jeremy Katz <katzj@redhat.com> 2.5.5-2
- rebuild for new gstreamer

* Thu Mar 11 2004 Alex Larsson <alexl@redhat.com> 2.5.5-1
- update to 2.5.5

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar  2 2004 Alexander Larsson <alexl@redhat.com> 2.5.4-2
- fixed schemas list

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 2.5.4-1
- update to 2.5.4

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jan 29 2004 Bill Nottingham <notting@redhat.com> 2.5.2-1
- update to 2.5.2

* Mon Oct 27 2003 Than Ngo <than@redhat.com> 2.4.0-2
- don't show Volume Control in KDE

* Tue Oct  7 2003 Havoc Pennington <hp@redhat.com> 2.4.0-1
- 2.4.0

* Thu Aug 21 2003 Alexander Larsson <alexl@redhat.com> 2.3.7-1
- update for gnome 2.3

* Wed Jul 30 2003 Havoc Pennington <hp@redhat.com> 2.2.1.1-6
- rebuild

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 14 2003 Havoc Pennington <hp@redhat.com> 2.2.1.1-4
- don't buildreq Xft

* Wed Feb  5 2003 Jonathan Blandford <jrb@redhat.com> 2.2.1.1-1
- new version
- add back %{_datadir}/gnome-media-2.0 as it turned out the files missing last release were just temporarily gone

* Tue Feb  4 2003 Jonathan Blandford <jrb@redhat.com>
- bump version

* Tue Feb  4 2003 Tim Powers <timp@redhat.com> 2.1.3-6
- rebuild against new gstreamer

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 18 2002 Elliot Lee <sopwith@redhat.com>
- Include ia64
- _smp_mflags

* Thu Dec 12 2002 Jonathan Blandford <jrb@redhat.com>
- 2.1.3
- update requirements
- Try and build all but ia64 until we get gstreamer working.

* Tue Dec  3 2002 Havoc Pennington <hp@redhat.com>
- excludearch the no-gstreamer arches, and require gstreamer
- fixups to file list

* Mon Dec  2 2002 Tim Powers <timp@redhat.com> 2.1.1-1
- update to 2.1.1
- don't apply the patches, they should be upstream now

* Tue Aug 27 2002 Owen Taylor <otaylor@redhat.com>
- Fix bug with changing device in preferences (#72465)
- Make the operation of --unique per-device

* Fri Aug 23 2002 Owen Taylor <otaylor@redhat.com>
- Add --unique option to allow starting only one CD player
  per display. (#39208)

* Wed Aug 21 2002 Havoc Pennington <hp@redhat.com>
- remove gnome-reclevel.desktop that was another alias for vumeter #71916

* Wed Aug 14 2002 Havoc Pennington <hp@redhat.com>
- remove vumeter, #67140

* Mon Jul 29 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new gail

* Thu Jul 25 2002 Havoc Pennington <hp@redhat.com>
- put translations in, makes it rebuild #69404

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0
- install capplet control center file, though I may 
  take it out again since it sucks
- use desktop-file-install
- add omf to file list

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- add post/postun ldconfig
- rebuild with latest libs

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment
- buildrequire gail

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 1.547.0

* Fri May 03 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new libs

* Thu Apr 25 2002 Havoc Pennington <hp@redhat.com>
- GNOME 2 version 1.520.2

* Wed Aug 22 2001 Owen Taylor <otaylor@redhat.com>
- Force regeneration of .po files (#52326)

* Thu Jul 19 2001 Havoc Pennington <hp@redhat.com>
- build requires gnome-libs-devel
- fix rpmlint's utterly crack-smoking request that we not 
  run /bin/sh in post/postun

* Tue Jul 03 2001 Owen Taylor <otaylor@redhat.com>
- Update to 1.2.3

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed May  9 2001 Owen Taylor <otaylor@redhat.com>
- Version 1.2.2
- Fix bogus scrollkeeper version in dependency

* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify
- move changelog to end of file
- don't use and define "ver" at the top of the spec file

* Tue Feb 07 2001 Than Ngo <than@redhat.com>
- fixed non-standard dir perm (Bug #26264)

* Wed Jan 31 2001 Elliot Lee <sopwith@redhat.com> 1.2.0-10
- Fix bug #17713, grecord internals (Patch10)

* Tue Jan 30 2001 Elliot Lee <sopwith@redhat.com> 1.2.0-9
- Fix bug #21488, include cddb-submit-methods in file list

* Thu Jan 18 2001 Akira TAGOH <tagoh@redhat.com>
- Added Japanese patch.

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Update Epoch

* Sat Aug 05 2000 Havoc Pennington <hp@redhat.com>
- Find "sox", bug 15472, patch from Alan

* Fri Aug 04 2000 Havoc Pennington <hp@redhat.com>
- Add docs for gtcd, bug 14558

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jul 8 2000 Havoc Pennington <hp@redhat.com>
- Remove docdir

* Thu Jun 15 2000 Havoc Pennington <hp@redhat.com>
- 1.2.0
- use %%makeinstall

* Tue Sep 21 1999 Havoc Pennington <hp@redhat.com>
- Fixed gtcd so it works without corba-gtcd
- add DrMike's no-g_error() patch 

* Mon Sep 20 1999 Elliot Lee <sopwith@redhat.com>
- Update to 1.0.40

* Fri Sep 17 1999 Owen Taylor <otaylor@redhat.com>
- Don't keep device open in gtcd

* Thu Sep 9 1999 Owen Taylor <otaylor@redhat.com>
- Fixed warnings with previous

* Wed Sep 8 1999 Owen Taylor <otaylor@redhat.com>
- added --play option to gtcd

* Mon Aug 16 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.9.1

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Tue Jan 19 1999 Michael Fulbright <drmike@redhat.com>
- fixed building on sparc and RH 5.2 - seems to get confused into thinking
  we have cd changer support when we don't

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.1

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated for GNOME freeze

* Sat Nov 21 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- added spanish and french translations for rpm

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>
- Updated to 0.30 release

* Mon Mar 16 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-media CVS source tree
